## makexvpics 1.0.1

=== Makefile ===
# makefile for ppmtoxvmini (also installs makexvpics)

# If you only have a K&R C compiler (surely just about impossible
# these days, but just in case...), uncomment this:
#KRDEF=-DKANDR

CFLAGS = -O $(KRDEF)

# these are where makexvpics and ppmtoxvmini are installed
PREFIX = /usr/local
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/man/man1

# You shouldn't need to modify anything below this line.


all: ppmtoxvmini

ppmtoxvmini: ppmtoxvmini.o
	$(CC) $(CFLAGS) -o ppmtoxvmini ppmtoxvmini.o

install: all
	install -m 511 -s ppmtoxvmini $(BINDIR)
	install -m 555 makexvpics.sh $(BINDIR)/makexvpics
	install -m 444 makexvpics.1 $(MANDIR)

clean:
	$(RM) *.o *~ ppmtoxvmini


VERS=1.0.1

tgz: ../makexvpics-$(VERS).tar.gz
  
# Based on the example in ESR's Software Release Practice HOWTO.
#
../makexvpics-$(VERS).tar.gz: clean
	$(RM) ../makexvpics-$(VERS)
	@cd ..;ln -s makexvpics makexvpics-$(VERS)
	cd ..;tar zchvf makexvpics-$(VERS).tar.gz \
			--exclude='*/sav' makexvpics-$(VERS)
	@cd ..;$(RM) makexvpics-$(VERS)

=== debian/changelog ===
makexvpics (1.0.1-4) unstable; urgency=medium

  * Add support for cross-building from source, dbgsym package.
    (Closes: #929391)
  * Update source to 3.0 (quilt) source format. (Closes: #1007321)
  * Add support for build hardening to Makefile.
  * Add debian/watch file.
  * Remove suggestion for removed zgv package.

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 16 Aug 2023 18:34:06 -0400

makexvpics (1.0.1-3) unstable; urgency=medium

  * Update to latest policy, debhelper 9. (Closes: #817573)
  * Depend on libjpeg-turbo-progs instead of libjpeg-progs.
    (Closes: #813392)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 16 Aug 2016 21:06:22 -0400

makexvpics (1.0.1-2) unstable; urgency=low

  * /usr/doc transition.  (Closes: #359534)

 -- Chris Lawrence <lawrencc@debian.org>  Tue, 28 Mar 2006 17:10:42 -0500

makexvpics (1.0.1-1) unstable; urgency=low

  * Initial Release.  (Closes: #120294)

 -- Chris Lawrence <lawrencc@debian.org>  Mon, 19 Nov 2001 19:52:46 -0600

=== debian/control ===
Source: makexvpics
Section: graphics
Priority: optional
Maintainer: Chris Lawrence <lawrencc@debian.org>
Build-Depends: debhelper (>> 10)
Standards-Version: 4.6.2

Package: makexvpics
Architecture: any
Depends: ${shlibs:Depends}, libjpeg-turbo-progs, netpbm, ${misc:Depends}
Suggests: xzgv
Description: updates .xvpics thumbnails from the command line
 This package includes a shell script and a C helper program to update
 XV/zgv/xzgv thumbnails from the command line.
 .
 Note that the thumbnails used by GNOME and KDE are in a different,
 incompatible format; you will need to use a tool designed for those
 desktops to create thumbnails for Nautilus or Konqueror.

=== debian/watch ===
version=4
https://www.ibiblio.org/pub/Linux/apps/graphics/misc/makexvpics-(.+).tar.gz
